[vectordb](../README.md) / [Exports](../modules.md) / WriteOptions

# Interface: WriteOptions

Write options when creating a Table.

## Implemented by

- [`DefaultWriteOptions`](../classes/DefaultWriteOptions.md)

## Table of contents

### Properties

- [writeMode](WriteOptions.md#writemode)

## Properties

### writeMode

• `Optional` **writeMode**: [`WriteMode`](../enums/WriteMode.md)

A [WriteMode](../enums/WriteMode.md) to use on this operation

#### Defined in

[index.ts:1015](https://github.com/lancedb/lancedb/blob/c89d5e6/node/src/index.ts#L1015)
